Debian Bug report logs - #614044
mysql-5.1-server: fails to build from source

version graph

Package: src:mysql-5.1; Maintainer for src:mysql-5.1 is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>;

Reported by: Stefan Froehlich <debian@froehlich.priv.at>

Date: Sat, 19 Feb 2011 09:54:02 UTC

Severity: grave

Tags: pending

Merged with 627208

Found in version mysql-5.1/5.1.57-1

Fixed in versions mysql-5.1/5.1.57-1.1, mysql-5.1/5.1.57-2

Done: Norbert Tretkowski <norbert@tretkowski.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#614044; Package mysql-5.1-server. (Sat, 19 Feb 2011 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Froehlich <debian@froehlich.priv.at>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 19 Feb 2011 09:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Froehlich <debian@froehlich.priv.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-5.1-server: fails to build from source
Date: Sat, 19 Feb 2011 10:39:12 +0100
[Message part 1 (text/plain, inline)]
Package: mysql-5.1-server
Version: mysql-server-5.1
Severity: grave
Justification: renders package unusable

Tried to build MySQL-5.1 from source, as I need some minor tweaks in
myisam/ftdefs.h. Building failed. What I did was:

| $ apt-get source mysql-server-5.1
| $ cd mysql-5.1-5.1.49
| $ vi storage/mysisam/ftdefs.h
| [Changing misc_word_char(X) into something which is still valid:]
| #define misc_word_char(X)       ((X)=='\'' || (X)=='-' || (X)=='.' || (X)=='%')
| [/Changing]
| $ dpkg-buildpackage -b -rfakeroot
| [...]
| Completed: Failed 4/711 tests, 99.44% were successful.
| Failing test(s): main.fulltext main.mysql main.mysql_upgrade binlog.binlog_stm_blackhole
| The log files in var/log may give you some hint of what went wrong.

At least _I_ am not able to derive anything from the test suite logs. I
am attaching the four logfiles which seem to correspond to the failed
tests, but I cannot find any hint to an error in there. If you need
anything else, please do contact me. The complete log directory is much
too big to include it completely.

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28.7 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[fulltext.log (text/plain, attachment)]
[mysql.log (text/x-c++, attachment)]
[mysql_upgrade.log (text/plain, attachment)]
[binlog_stm_blackhole.log (text/plain, attachment)]

Bug reassigned from package 'mysql-5.1-server' to 'mysql-server-5.1'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 12:27:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mysql-server-5.1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 12:27:09 GMT) Full text and rfc822 format available.

Message sent on to Stefan Froehlich <debian@froehlich.priv.at>:
Bug#614044. (Thu, 24 Mar 2011 10:33:07 GMT) Full text and rfc822 format available.

Message #12 received at 614044-submitter@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olaf@xwis.net>
To: 614044-submitter@bugs.debian.org
Subject: Re: mysql-5.1-server: fails to build from source
Date: Thu, 24 Mar 2011 11:30:25 +0100
| [Changing misc_word_char(X) into something which is still valid:]

Does it work if you don't change anything?

Olaf




Information stored :
Bug#614044; Package mysql-server-5.1. (Thu, 24 Mar 2011 11:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Froehlich <Stefan@froehlich.priv.at>:
Extra info received and filed, but not forwarded. (Thu, 24 Mar 2011 11:39:09 GMT) Full text and rfc822 format available.

Message #17 received at 614044-quiet@bugs.debian.org (full text, mbox):

From: Stefan Froehlich <Stefan@froehlich.priv.at>
To: Olaf van der Spek <olaf@xwis.net>, 614044-quiet@bugs.debian.org
Cc: 614044-submitter@bugs.debian.org
Subject: Re: Bug#614044: mysql-5.1-server: fails to build from source
Date: Thu, 24 Mar 2011 12:26:15 +0100
On Thu, Mar 24, 2011 at 11:30:25AM +0100, Olaf van der Spek wrote:
> | [Changing misc_word_char(X) into something which is still valid:]
 
> Does it work if you don't change anything?
 
Hm. Should have checked this by myself, you're right. Oddly enough this
gives me:

| $ apt-get source mysql-5.1
| $ cd mysql-5.1-5.1.49/
| $ dpkg-buildpackage -b -rfakeroot
| [...]
| The servers were restarted 263 times
| Spent 776.911 of 1570 seconds executing testcases
| 
| Completed: Failed 2/711 tests, 99.72% were successful.
| 
| Failing test(s): main.mysql main.mysql_upgrade
| 
| The log files in var/log may give you some hint of what went wrong.

So even the vanilla package fails (even though most likely for different
reasons than the other two tests of my original report which seem to be
related to misc_word_char. I suspect the test suite not to consider
eventual changes - which are documented in the mysql-manual, however).

Stefan




Message sent on to Stefan Froehlich <debian@froehlich.priv.at>:
Bug#614044. (Thu, 24 Mar 2011 11:39:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Sat, 14 May 2011 13:18:03 GMT) Full text and rfc822 format available.

Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. (Sat, 14 May 2011 15:21:06 GMT) Full text and rfc822 format available.

Notification sent to Stefan Froehlich <debian@froehlich.priv.at>:
Bug acknowledged by developer. (Sat, 14 May 2011 15:21:06 GMT) Full text and rfc822 format available.

Message #27 received at 614044-close@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: 614044-close@bugs.debian.org
Subject: Bug#614044: fixed in mysql-5.1 5.1.57-1
Date: Sat, 14 May 2011 15:18:10 +0000
Source: mysql-5.1
Source-Version: 5.1.57-1

We believe that the bug you reported is fixed in the latest version of
mysql-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/libmysqlclient-dev_5.1.57-1_amd64.deb
libmysqlclient16_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/libmysqlclient16_5.1.57-1_amd64.deb
libmysqld-dev_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/libmysqld-dev_5.1.57-1_amd64.deb
libmysqld-pic_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/libmysqld-pic_5.1.57-1_amd64.deb
mysql-5.1_5.1.57-1.diff.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.57-1.diff.gz
mysql-5.1_5.1.57-1.dsc
  to main/m/mysql-5.1/mysql-5.1_5.1.57-1.dsc
mysql-5.1_5.1.57.orig.tar.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.57.orig.tar.gz
mysql-client-5.1_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/mysql-client-5.1_5.1.57-1_amd64.deb
mysql-client_5.1.57-1_all.deb
  to main/m/mysql-5.1/mysql-client_5.1.57-1_all.deb
mysql-common_5.1.57-1_all.deb
  to main/m/mysql-5.1/mysql-common_5.1.57-1_all.deb
mysql-server-5.1_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/mysql-server-5.1_5.1.57-1_amd64.deb
mysql-server-core-5.1_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/mysql-server-core-5.1_5.1.57-1_amd64.deb
mysql-server_5.1.57-1_all.deb
  to main/m/mysql-5.1/mysql-server_5.1.57-1_all.deb
mysql-source-5.1_5.1.57-1_amd64.deb
  to main/m/mysql-5.1/mysql-source-5.1_5.1.57-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Tretkowski <norbert@tretkowski.de> (supplier of updated mysql-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 14 May 2011 14:56:13 +0200
Source: mysql-5.1
Binary: libmysqlclient16 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-core-5.1 mysql-server-5.1 mysql-server mysql-client mysql-source-5.1
Architecture: source all amd64
Version: 5.1.57-1
Distribution: unstable
Urgency: medium
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Norbert Tretkowski <norbert@tretkowski.de>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient16 - MySQL database client library
 libmysqld-dev - MySQL embedded database development files
 libmysqld-pic - MySQL database development files
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files, e.g. /etc/mysql/my.cnf
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries and system database setup
 mysql-server-core-5.1 - MySQL database server binaries
 mysql-source-5.1 - MySQL source
Closes: 614044 617240
Changes: 
 mysql-5.1 (5.1.57-1) unstable; urgency=medium
 .
   * Bump libmysqlclient16 shlibs to 5.1.50-1 as it introduced a new symbol.
     (closes: #617240)
   * Build with -O2 instead -O3, MySQL seems not yet ready for -O3 when using
     gcc-4.6. (closes: #614044)
   * Ignore errors in testsuite run on ia64.
Checksums-Sha1: 
 82a1c0f42ff63089d45f99622b138b04b60d2b9a 1695 mysql-5.1_5.1.57-1.dsc
 32ce18c00667e2549d5a097975f61674ff34b29d 21365958 mysql-5.1_5.1.57.orig.tar.gz
 b43313c618b90e4c2237136813e9d506b2843a66 298640 mysql-5.1_5.1.57-1.diff.gz
 27ac5386e8ead526755a878113598bd3c0b3c8fa 92322 mysql-common_5.1.57-1_all.deb
 718a61bdda3f1de170edbefb8f5feaa3ad84fcb5 85854 mysql-server_5.1.57-1_all.deb
 3337741cc4231754935fc283b742291f8e092baf 85724 mysql-client_5.1.57-1_all.deb
 fe08a4f5a65f36e866ccfb3980958fba0ae47352 1969516 libmysqlclient16_5.1.57-1_amd64.deb
 cd68b174c50056bffd6a5383f5a5c4b2e34c7f32 4481656 libmysqld-pic_5.1.57-1_amd64.deb
 8ed70bc037defb52baec6b75dd4fe8cbe08736cb 5556082 libmysqld-dev_5.1.57-1_amd64.deb
 a2158e5d9f78dc8240a8a9f5ce894e8a108d1b2a 3145356 libmysqlclient-dev_5.1.57-1_amd64.deb
 e51ce3dd34d4571f7715a976599a4c24ceb4bd37 9657502 mysql-client-5.1_5.1.57-1_amd64.deb
 7e239e8cd95a69f6ffde0f8f6267d944657a2f77 3986166 mysql-server-core-5.1_5.1.57-1_amd64.deb
 50e413776bb3000ee0b3f0c86f8b8b9f453b5cb3 6481760 mysql-server-5.1_5.1.57-1_amd64.deb
 7744b7d8a2bdca71bee07c9b28834363886a6ff5 21549732 mysql-source-5.1_5.1.57-1_amd64.deb
Checksums-Sha256: 
 72a4c15bf4a1e2d9ebe89c0c25de0ddee051b0666fa695857f9019d6d3aa03c8 1695 mysql-5.1_5.1.57-1.dsc
 bcb1422c54d30a392e555ddf99ce3cdf674b454041a8b5b9f5d1e5ac5459dfa5 21365958 mysql-5.1_5.1.57.orig.tar.gz
 de0884d54fc8d115e8cefe28b9c605382e42858c403e3443e7494232669d78ad 298640 mysql-5.1_5.1.57-1.diff.gz
 719339a3bfd86500f2f0178b6a9f145afca8c3ba6d9c78a66a131479f43aab08 92322 mysql-common_5.1.57-1_all.deb
 52b56e51c54228efc52e7bcedb50eedbfa589615a8272b2b29b35d7b43d7b8b6 85854 mysql-server_5.1.57-1_all.deb
 b6711478da13a83ca477b72204b261cf928934fae72fbe0abdd3069ce630ec4d 85724 mysql-client_5.1.57-1_all.deb
 3a9843eb372be2c3d9550177b6f28aba8466fb4ec38b9b306a299c75f79843ae 1969516 libmysqlclient16_5.1.57-1_amd64.deb
 bccff8d1f406fafba2e442c4adfc8a96d5f95059c64ccfd5f172554b779c7c01 4481656 libmysqld-pic_5.1.57-1_amd64.deb
 d9b4ba5fcc120fbacccc8526fe96becb36ec5cc8dfa754b8581d749b034339ee 5556082 libmysqld-dev_5.1.57-1_amd64.deb
 94fb4079eb2361368ca6c5536fdc56dd07cc30c6de0847e97dd661d17b74f3c7 3145356 libmysqlclient-dev_5.1.57-1_amd64.deb
 a1748dd1614e949c9dc81216a438a0ce51c9c9d3e58c538f39bf319b316d29e6 9657502 mysql-client-5.1_5.1.57-1_amd64.deb
 165dd3d97ae0e2679ed7b7f759581b4b9bfdd33d19db40d2d658440522c65f90 3986166 mysql-server-core-5.1_5.1.57-1_amd64.deb
 d2ec3906c92016459a8faf19821c75450f2fa6394e15356ba27f304622695468 6481760 mysql-server-5.1_5.1.57-1_amd64.deb
 8928e0c122fbfb4ca233a9abe47f89a9b04a68d94f16315367ba2dedf4edb0ca 21549732 mysql-source-5.1_5.1.57-1_amd64.deb
Files: 
 5368b57d66e3d9565dc8c1ee47f612e4 1695 misc optional mysql-5.1_5.1.57-1.dsc
 b43410d02387134409342ac14903c789 21365958 misc optional mysql-5.1_5.1.57.orig.tar.gz
 e6ec7d3101b135faaca7b6a960378852 298640 misc optional mysql-5.1_5.1.57-1.diff.gz
 da1b03be75084fdf679f8287cfdac48f 92322 database optional mysql-common_5.1.57-1_all.deb
 81aeb1c68e08a4a861a1ccb8fa4193e7 85854 database optional mysql-server_5.1.57-1_all.deb
 a5d1fec475e93532e5b48ecdb6763489 85724 database optional mysql-client_5.1.57-1_all.deb
 29b5ab544ec3e674d7987a3ac47a612d 1969516 libs optional libmysqlclient16_5.1.57-1_amd64.deb
 3ca1947d4acf508fae361d58c448a3fe 4481656 libdevel optional libmysqld-pic_5.1.57-1_amd64.deb
 1a37a04e1193598b885feaa59efd2c4e 5556082 libdevel optional libmysqld-dev_5.1.57-1_amd64.deb
 7d91d0505510ed9819334c99fc216261 3145356 libdevel optional libmysqlclient-dev_5.1.57-1_amd64.deb
 2a678a993c1f0c9e9d215f2feb83c6f8 9657502 misc optional mysql-client-5.1_5.1.57-1_amd64.deb
 78e7b22daa2ab55a7db4f5eacfe954e1 3986166 misc optional mysql-server-core-5.1_5.1.57-1_amd64.deb
 45e486db1cd780dee78537dcf3b80b40 6481760 misc optional mysql-server-5.1_5.1.57-1_amd64.deb
 b63f7d022db52821b8b674442675fbdd 21549732 misc optional mysql-source-5.1_5.1.57-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3OmYYACgkQr/RnCw96jQEKEgCfT96aYAFDrCS3oz8Gjyn/PG7R
WOEAoIN9wY4wr+0S98JzyK2AUhhb3Xsi
=okqC
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions mysql-5.1/5.1.57-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mysql-5.1/5.1.57-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mysql-server-5.1' to 'src:mysql-5-5.1'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mysql-5.1/5.1.57-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:mysql-5-5.1' to 'src:mysql-5.1'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:39:03 GMT) Full text and rfc822 format available.

Forcibly Merged 614044 627208. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:39:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mysql-5.1/5.1.57-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:39:05 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Mon, 13 Jun 2011 09:48:48 GMT) Full text and rfc822 format available.

Notification sent to Stefan Froehlich <debian@froehlich.priv.at>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 09:48:56 GMT) Full text and rfc822 format available.

Message #46 received at 614044-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 614044-close@bugs.debian.org
Subject: Bug#614044: fixed in mysql-5.1 5.1.57-1.1
Date: Mon, 13 Jun 2011 09:48:08 +0000
Source: mysql-5.1
Source-Version: 5.1.57-1.1

We believe that the bug you reported is fixed in the latest version of
mysql-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/libmysqlclient-dev_5.1.57-1.1_i386.deb
libmysqlclient16_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/libmysqlclient16_5.1.57-1.1_i386.deb
libmysqld-dev_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/libmysqld-dev_5.1.57-1.1_i386.deb
libmysqld-pic_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/libmysqld-pic_5.1.57-1.1_i386.deb
mysql-5.1_5.1.57-1.1.diff.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.57-1.1.diff.gz
mysql-5.1_5.1.57-1.1.dsc
  to main/m/mysql-5.1/mysql-5.1_5.1.57-1.1.dsc
mysql-client-5.1_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/mysql-client-5.1_5.1.57-1.1_i386.deb
mysql-client_5.1.57-1.1_all.deb
  to main/m/mysql-5.1/mysql-client_5.1.57-1.1_all.deb
mysql-common_5.1.57-1.1_all.deb
  to main/m/mysql-5.1/mysql-common_5.1.57-1.1_all.deb
mysql-server-5.1_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/mysql-server-5.1_5.1.57-1.1_i386.deb
mysql-server-core-5.1_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/mysql-server-core-5.1_5.1.57-1.1_i386.deb
mysql-server_5.1.57-1.1_all.deb
  to main/m/mysql-5.1/mysql-server_5.1.57-1.1_all.deb
mysql-source-5.1_5.1.57-1.1_i386.deb
  to main/m/mysql-5.1/mysql-source-5.1_5.1.57-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated mysql-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Jun 2011 08:51:51 +0200
Source: mysql-5.1
Binary: libmysqlclient16 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-core-5.1 mysql-server-5.1 mysql-server mysql-client mysql-source-5.1
Architecture: source all i386
Version: 5.1.57-1.1
Distribution: unstable
Urgency: high
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient16 - MySQL database client library
 libmysqld-dev - MySQL embedded database development files
 libmysqld-pic - MySQL database development files
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files, e.g. /etc/mysql/my.cnf
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries and system database setup
 mysql-server-core-5.1 - MySQL database server binaries
 mysql-source-5.1 - MySQL source
Closes: 614044
Changes: 
 mysql-5.1 (5.1.57-1.1) unstable; urgency=high
 .
   * Non-maintainer upload (with permission of maintainer).
   * Build with gcc-4.5 (Closes: #614044)
   * Revert: "Build with -O2 instead -O3, MySQL seems not yet ready for -
     O3 when using gcc-4.6." since we are building with gcc-4.5.
Checksums-Sha1: 
 0cc47bb0c739db3d45ebb0ed8655fabbb505bc84 1721 mysql-5.1_5.1.57-1.1.dsc
 98c74e54818a39b04458b03afdf866beeda7d46a 305341 mysql-5.1_5.1.57-1.1.diff.gz
 a142e6e2ac4153ff225f8f1330d26091bec8bc0b 92676 mysql-common_5.1.57-1.1_all.deb
 1525ad8451e9764f76edd7e41b35fce1aa8ca921 86558 mysql-server_5.1.57-1.1_all.deb
 c976fe4fe6de10ed72ed3a41caede2e182394c6c 86420 mysql-client_5.1.57-1.1_all.deb
 f0d89a7b6b4bf39e449f34052f4c432ddac54297 1944024 libmysqlclient16_5.1.57-1.1_i386.deb
 56d3681249acbbacbea0eb1a0ccc904b6f397e19 4305920 libmysqld-pic_5.1.57-1.1_i386.deb
 b5918d9ee7b6cccd49d36c29c2dfbc6448ba10b4 5542680 libmysqld-dev_5.1.57-1.1_i386.deb
 2453e3bcf508f04a49498ede5f6c56582675a096 3131394 libmysqlclient-dev_5.1.57-1.1_i386.deb
 254023ecacbf705e76d55f75167516e443a8816d 9638126 mysql-client-5.1_5.1.57-1.1_i386.deb
 ca2306cef40dba4ae8efc3efc72aaccdd4c328dc 4004308 mysql-server-core-5.1_5.1.57-1.1_i386.deb
 57e0913d7f9bbc696cafc05a45c328b82d01b0cf 6543694 mysql-server-5.1_5.1.57-1.1_i386.deb
 21c3997d9fedbcefb464e3a3c011c62b110c33be 21490046 mysql-source-5.1_5.1.57-1.1_i386.deb
Checksums-Sha256: 
 a871e3035cc473eb99d5f1879b21c18464ec3f37b823d43ac575b1312f105a8c 1721 mysql-5.1_5.1.57-1.1.dsc
 ab32e8841dafcb19fd4980645d4c1c7bef21121c741aaf3c794c290a00a6a4f8 305341 mysql-5.1_5.1.57-1.1.diff.gz
 9c111728fd68ce8d0e75b65bd3e739183181e92c514fb1e326752efd362716f9 92676 mysql-common_5.1.57-1.1_all.deb
 652cbd093e56c48bee05a67571be5eecadbade10badc21e64d3b6f69e0cb91ef 86558 mysql-server_5.1.57-1.1_all.deb
 7fe4844b936e12ef2299c9d922b75edc4d84fef824b6968fd7cd4008ea0b9cf6 86420 mysql-client_5.1.57-1.1_all.deb
 8d78ce4995b021c06e67b9f51490fdf5fb963af6e98297fa90a10cb4e967c7a5 1944024 libmysqlclient16_5.1.57-1.1_i386.deb
 fe6445d34458f2744fc924988273c33a2309fbf3b7361b40991a1f6cd33970ac 4305920 libmysqld-pic_5.1.57-1.1_i386.deb
 795c7217cae7aafdcbcbf4b32a52a9c138e3285c72d0b1a8b475c6cbb17cb4e2 5542680 libmysqld-dev_5.1.57-1.1_i386.deb
 d78b142854688e3dbe157f18575913980063c2f04f502ad9e8715ecaba8add4b 3131394 libmysqlclient-dev_5.1.57-1.1_i386.deb
 e42f56c0e18a6e3ef7bb6fb235381d54f97691d1809ef0c53e452ad08049bac8 9638126 mysql-client-5.1_5.1.57-1.1_i386.deb
 91b69c286c6a5e518bd5619587757cc0812885635aab795b3aef6c98ea582a9e 4004308 mysql-server-core-5.1_5.1.57-1.1_i386.deb
 d320c72d83aca95ab95cb35b2f3c807dee13a65e788761f11e9af5dfe98e6bdd 6543694 mysql-server-5.1_5.1.57-1.1_i386.deb
 6728bf28b7bbb6f205b52e9bf55209be80e6016f0a8b7508aae38c43cc263165 21490046 mysql-source-5.1_5.1.57-1.1_i386.deb
Files: 
 06aea2d1915adf2989ca03edc66b6a37 1721 misc optional mysql-5.1_5.1.57-1.1.dsc
 7c935a0668b79b345ab31fe1fff78b90 305341 misc optional mysql-5.1_5.1.57-1.1.diff.gz
 8ca32428c964263a9259680919b2e17c 92676 database optional mysql-common_5.1.57-1.1_all.deb
 e566ae65f95d038db42ba7b774671fb0 86558 database optional mysql-server_5.1.57-1.1_all.deb
 1222de90f35ccaafbef8695e38d8b281 86420 database optional mysql-client_5.1.57-1.1_all.deb
 31bf8ac34e87222e8f222476f338f0e7 1944024 libs optional libmysqlclient16_5.1.57-1.1_i386.deb
 4b0a3f42de8b7da19e8c35d3fb1d3237 4305920 libdevel optional libmysqld-pic_5.1.57-1.1_i386.deb
 0690371fe3184f980d5e68aa0c52a8cc 5542680 libdevel optional libmysqld-dev_5.1.57-1.1_i386.deb
 a0131b5606271e0ceaa10c8922d4ceac 3131394 libdevel optional libmysqlclient-dev_5.1.57-1.1_i386.deb
 470c7f9633fedba710f17c906576094e 9638126 misc optional mysql-client-5.1_5.1.57-1.1_i386.deb
 8705f9b1bc59d482d3e98b409133c31d 4004308 misc optional mysql-server-core-5.1_5.1.57-1.1_i386.deb
 94642def4fbf94c87f665acc1132a173 6543694 misc optional mysql-server-5.1_5.1.57-1.1_i386.deb
 97ade0b5659efb02d6c6eb18daed9258 21490046 misc optional mysql-source-5.1_5.1.57-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk312mUACgkQ9OZqfMIN8nMP1wCeOTHRWmMzshzvsuJROGdk4QC+
6aUAnjngZC+bAIjY4XGOOOaMf4R40Be9
=VAin
-----END PGP SIGNATURE-----





Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Mon, 13 Jun 2011 09:49:00 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 09:49:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 614044: 630471 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 14 Jun 2011 10:09:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Sat, 18 Jun 2011 17:33:07 GMT) Full text and rfc822 format available.

Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. (Mon, 20 Jun 2011 09:21:09 GMT) Full text and rfc822 format available.

Notification sent to Stefan Froehlich <debian@froehlich.priv.at>:
Bug acknowledged by developer. (Mon, 20 Jun 2011 09:21:15 GMT) Full text and rfc822 format available.

Message #60 received at 614044-close@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: 614044-close@bugs.debian.org
Subject: Bug#614044: fixed in mysql-5.1 5.1.57-2
Date: Mon, 20 Jun 2011 09:18:46 +0000
Source: mysql-5.1
Source-Version: 5.1.57-2

We believe that the bug you reported is fixed in the latest version of
mysql-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/libmysqlclient-dev_5.1.57-2_amd64.deb
libmysqlclient16_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/libmysqlclient16_5.1.57-2_amd64.deb
libmysqld-dev_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/libmysqld-dev_5.1.57-2_amd64.deb
libmysqld-pic_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/libmysqld-pic_5.1.57-2_amd64.deb
mysql-5.1_5.1.57-2.diff.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.57-2.diff.gz
mysql-5.1_5.1.57-2.dsc
  to main/m/mysql-5.1/mysql-5.1_5.1.57-2.dsc
mysql-client-5.1_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/mysql-client-5.1_5.1.57-2_amd64.deb
mysql-client_5.1.57-2_all.deb
  to main/m/mysql-5.1/mysql-client_5.1.57-2_all.deb
mysql-common_5.1.57-2_all.deb
  to main/m/mysql-5.1/mysql-common_5.1.57-2_all.deb
mysql-server-5.1_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/mysql-server-5.1_5.1.57-2_amd64.deb
mysql-server-core-5.1_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/mysql-server-core-5.1_5.1.57-2_amd64.deb
mysql-server_5.1.57-2_all.deb
  to main/m/mysql-5.1/mysql-server_5.1.57-2_all.deb
mysql-source-5.1_5.1.57-2_amd64.deb
  to main/m/mysql-5.1/mysql-source-5.1_5.1.57-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Tretkowski <norbert@tretkowski.de> (supplier of updated mysql-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Jun 2011 19:28:35 +0200
Source: mysql-5.1
Binary: libmysqlclient16 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-core-5.1 mysql-server-5.1 mysql-server mysql-client mysql-source-5.1
Architecture: source all amd64
Version: 5.1.57-2
Distribution: unstable
Urgency: low
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Norbert Tretkowski <norbert@tretkowski.de>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient16 - MySQL database client library
 libmysqld-dev - MySQL embedded database development files
 libmysqld-pic - MySQL database development files
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files, e.g. /etc/mysql/my.cnf
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries and system database setup
 mysql-server-core-5.1 - MySQL database server binaries
 mysql-source-5.1 - MySQL source
Closes: 614044 630672
Changes: 
 mysql-5.1 (5.1.57-2) unstable; urgency=low
 .
   * Acknowledge NMUs. (closes: #614044)
   * Fix syntax warning in preinst. (closes: #630672)
Checksums-Sha1: 
 e60db038b7609efd324d5919235087314553956d 1713 mysql-5.1_5.1.57-2.dsc
 5b03cfda9527b316f28b9e5c1f287e24db76e323 298907 mysql-5.1_5.1.57-2.diff.gz
 d52a423d8fddc6796a8e0c7c5834372356ab4b44 92578 mysql-common_5.1.57-2_all.deb
 3a50a19021b58db907ff6814bc110d3ee91ffb99 86074 mysql-server_5.1.57-2_all.deb
 f86455359da964c6f0f256121ae7924e4c8b8b31 85940 mysql-client_5.1.57-2_all.deb
 562a652303b7bf9844fe7e16ea3d4fba9a96c9ff 2000054 libmysqlclient16_5.1.57-2_amd64.deb
 7bc2cf762dd1c93a2ef573fc2a4970a434776d32 4576450 libmysqld-pic_5.1.57-2_amd64.deb
 aedb6499541cf5fd67658b75d8ce2291ce9a86f2 5850122 libmysqld-dev_5.1.57-2_amd64.deb
 e6c7da4f788592e72b6463ff5352e496424f30d3 3272792 libmysqlclient-dev_5.1.57-2_amd64.deb
 adaa709006eec04cb169c67366c81d5eac6e6cad 10194986 mysql-client-5.1_5.1.57-2_amd64.deb
 e3cfea6bd55dad5fa24cb6de88b2bddedaa1efa2 4241034 mysql-server-core-5.1_5.1.57-2_amd64.deb
 fd07ab8e4bb8f52043eaee92c0d6fe8dc3aaa365 6659212 mysql-server-5.1_5.1.57-2_amd64.deb
 6953e2ef4d515158333d3274caec1cf2390d1615 21522476 mysql-source-5.1_5.1.57-2_amd64.deb
Checksums-Sha256: 
 1b54b2144abd9f46c9422f02e2609b272fe0ab2bd2b26f6e33f4a88f7b158fb4 1713 mysql-5.1_5.1.57-2.dsc
 e3ee39ec5035b52f29db2d9ac16ed0284856e78e7e9045fef5fc01739ee75651 298907 mysql-5.1_5.1.57-2.diff.gz
 33ed7f749e984988cf69e1a45800f0d903fe1fba0018fafa5ba30d6eb2451c6b 92578 mysql-common_5.1.57-2_all.deb
 30b03f925b5607cd4e96bc750933104e7679c106505fc9406568057e89ffaa66 86074 mysql-server_5.1.57-2_all.deb
 b88584f5a5aea4608f50f40c075ea2fb1425296bae75b295921a43bce2a36a65 85940 mysql-client_5.1.57-2_all.deb
 86677a35871b4f9a497d58e213afb62dab32062069f6e2ba23c3e6a5790cbffd 2000054 libmysqlclient16_5.1.57-2_amd64.deb
 1ce0e83b42c26a3afce991d3cd518b31a290898db5f80d1c90cf3376325eec70 4576450 libmysqld-pic_5.1.57-2_amd64.deb
 e86ccc18617bb94ca5ab4dc366b83326c3f549e73e86639693dd459bb30c8425 5850122 libmysqld-dev_5.1.57-2_amd64.deb
 0dc00b6a9868f336bb1642aaf0c5b3ca87dfb5b79c72d3f12cc52c3814d52528 3272792 libmysqlclient-dev_5.1.57-2_amd64.deb
 79288a58ec286fc11741229129b15556b5c9a7919c8f2915eaa3f79a7bda8db6 10194986 mysql-client-5.1_5.1.57-2_amd64.deb
 0e3266a55d136424fefce5083273708d0b77558c081b5d06a44bb0c1a9559c5b 4241034 mysql-server-core-5.1_5.1.57-2_amd64.deb
 067535634f1fb72c38ce7c93f5e6a2eea1951c5da3f498cd0797f233e09fcc2e 6659212 mysql-server-5.1_5.1.57-2_amd64.deb
 58666be4b47d7d3b0c06cf8b70f0dd05fe456a2299561e52af544630e2a607ae 21522476 mysql-source-5.1_5.1.57-2_amd64.deb
Files: 
 391abceeb6e678c39f08c8db7be86aea 1713 misc optional mysql-5.1_5.1.57-2.dsc
 d60887234e9fe16d14437d0eec980c20 298907 misc optional mysql-5.1_5.1.57-2.diff.gz
 ff7beba27216e3f930d994d3b03ed4e4 92578 database optional mysql-common_5.1.57-2_all.deb
 c728c5dcf3869c77bb911f0fe8ddb4eb 86074 database optional mysql-server_5.1.57-2_all.deb
 1e3d028de637604fbfce9424d894ec07 85940 database optional mysql-client_5.1.57-2_all.deb
 2c8c4588c8ff0e114aba01b70037e795 2000054 libs optional libmysqlclient16_5.1.57-2_amd64.deb
 bff7e82f6dc7f069208ca66c210e9e1d 4576450 libdevel optional libmysqld-pic_5.1.57-2_amd64.deb
 357e68f9000de5d889e40a416254d049 5850122 libdevel optional libmysqld-dev_5.1.57-2_amd64.deb
 9460b8af0d7c5e0714336505741741d6 3272792 libdevel optional libmysqlclient-dev_5.1.57-2_amd64.deb
 26b50b28add5562240a050af87fd370f 10194986 misc optional mysql-client-5.1_5.1.57-2_amd64.deb
 f283e8cb13fc300e7b35b8e228afaaca 4241034 misc optional mysql-server-core-5.1_5.1.57-2_amd64.deb
 6d9a762fba2d16c68696fff1ce05946f 6659212 misc optional mysql-server-5.1_5.1.57-2_amd64.deb
 75849efee69470105f4149933f31a67a 21522476 misc optional mysql-source-5.1_5.1.57-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3/DzkACgkQr/RnCw96jQFRwACfV5VZZtCj1X8qNnQc+cvFAEzi
VuEAoLBu25DrdiFqMwXidKr+YeSxanYg
=Z3Vi
-----END PGP SIGNATURE-----





Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. (Mon, 20 Jun 2011 09:21:18 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Mon, 20 Jun 2011 09:21:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Wed, 22 Jun 2011 16:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:31:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:20:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.